Linux Users - Read This !

For help and support with issues specific to Linux/Unix
Forum rules
Please make sure you follow the Problem Reporting Guidelines before posting if you want a reply.

Re: Linux Users - Read This !

Postby bytesaber » Wed Feb 10, 2010 9:12 pm

Why are there suggestions to compile all these additional tools?

I use Mandriva, and packages for things like ffmpeg, mencoder, mplayer, etc, are available already.

urpmi mencoder
urpmi ffmpeg
urpmi mplayer

Just look at the Trace logs and watch for when ps3ms says "java blah blah ....can't find...." and install it.

Seems most of you are Ubuntu and that distribution supplies packages for these things too.

apt-get mencoder...

Seriously, I fail to understand why to recommend to someone to compile these additional things from source code. Am I missing a concept? I'd like to know more if so.

I also do not think that your distribution is going to offer you a compiled version, that is going to perform any better or worse than if you compiled one yourself. If anything you may overlook some flags to tell gcc and end up making a slower version for yourself.
-=bytes
bytesaber
 
Posts: 14
Joined: Mon Feb 08, 2010 8:55 am

Re: Linux Users - Read This !

Postby bektorkhan » Tue Feb 16, 2010 12:15 am

bytesaber wrote:Why are there suggestions to compile all these additional tools?

Am I missing a concept? I'd like to know more if so.



The reason is that the packages available can be old, and the fix you need might be in source only, yet!!

I run Fedora Core 10, since I have Highpoint RAID controllers, I can't upgrade to FC 12 since HPT have no prebuilt and I am not confident that their drivers work.
So I am stuck with 2 year old mencoder/ffmpeg from the packages, and they won't work good..

Since PMS is built on these software, they need to be from the same decade..

So you checkout the source code, and compile it yourself. usually: ./configure ; make ; make install

And you have the latest fixes
bektorkhan
 
Posts: 4
Joined: Mon Feb 15, 2010 11:11 pm

Re: Linux Users - Read This !

Postby ozymandias » Wed Feb 17, 2010 5:49 pm

bektorkhan wrote:
bytesaber wrote:Why are there suggestions to compile all these additional tools?

Am I missing a concept? I'd like to know more if so.



The reason is that the packages available can be old, and the fix you need might be in source only, yet!!

I run Fedora Core 10,



Pet peeve, but no, you don't. That distro does not exist. Fedora dropped the 'core' as of Fedora 7.


since I have Highpoint RAID controllers, I can't upgrade to FC 12 since HPT have no prebuilt and I am not confident that their drivers work.
So I am stuck with 2 year old mencoder/ffmpeg from the packages, and they won't work good..

Since PMS is built on these software, they need to be from the same decade..

So you checkout the source code, and compile it yourself. usually: ./configure ; make ; make install

And you have the latest fixes


Well, sort of. Fedora 10 only recently dropped support and updates, and packages were being maintained up until last December -- so they are not all 2 years old. Both mencoder and ffmpeg on my system were built in late 2009.
ozymandias
 
Posts: 16
Joined: Sun Feb 14, 2010 9:57 pm

Re: Linux Users - Read This !

Postby mrunix » Mon Jun 13, 2011 12:22 am

your PS3 media server package is here:

http://rensg.home.xs4all.nl/downloads/multimedia

de mencoder in the same location is de mencoder that still works, the current versions as found in MPlayer rpm's, are broken for PS3 media player.......

so IF one has a problem, use this mencoder in /usr/bin

have fun, :mrgreen:

mrunix

shagrath wrote:the linux distribution has the major downside of not including the ffmpeg, mplayer and mencoder binaries... that's why half of the time, errors are due to old versions your system is using...
ps3mediaserver needs builds from minimum mid-2008 to work correctly !
if you are using Ubuntu based distribution, you can get mplayer/mencoder binaries from there: https://launchpad.net/~rvm/+archive/ppa

PS: If anyone is skilled enough to make packaging of ps3mediaserver for any distributions out there (good luck), well I'll be happy to help :p
mrunix
 
Posts: 4
Joined: Sun May 30, 2010 3:12 am

Re: Linux Users - Read This !

Postby geaves » Thu Jun 30, 2011 5:12 pm

Ubuntu restricted extras, this will get the latest mencoder/mplayer, ffmpeg, vlc and java.

sudo apt-get install mencoder ffmpeg mplayer vlc ubuntu-restricted-extras && sudo add-apt-repository ppa:ferramroberto/java && sudo apt-get update && sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fonts

this takes some time... :)
geaves
 
Posts: 10
Joined: Tue Jun 21, 2011 9:05 am

Re: Linux Users - Read This !

Postby ravex911 » Fri Jul 01, 2011 5:09 pm

Thanks! Does this install the newest versions of "mencoder, ffmpeg, mplayer and vlc?" And does this version of menconder support mutiple cores once you enabled it in PMS.conf? I have used this on windows 7 without any issue but wanting to get my linux media serve rup and running.
ravex911
 
Posts: 3
Joined: Tue Apr 19, 2011 6:23 pm

Re: Linux Users - Read This !

Postby geaves » Fri Jul 01, 2011 8:17 pm

ravex911 wrote:Thanks! Does this install the newest versions of "mencoder, ffmpeg, mplayer and vlc?" And does this version of menconder support mutiple cores once you enabled it in PMS.conf? I have used this on windows 7 without any issue but wanting to get my linux media serve rup and running.


yes it does, I also have the following ppa as well from here ppa:motumedia/mplayer-daily as for multi core this is enabled in the latest subjunk and works, there is also an excellent howto for ffmpeg at http://ubuntuforums.org/showthread.php? ... der+ffmpeg. Had no problems at all other than having to use the 'Transcode' folder option to play mp4 and mkv......but other than that, works great.

All that in my post came from here http://www.youtube.com/watch?v=bvmlTpUXJBM this guy has updated the information from the previous 1.10 version of psms and that worked straight out of the tin.... ;)
geaves
 
Posts: 10
Joined: Tue Jun 21, 2011 9:05 am

Re: Linux Users - Read This !

Postby andersevenrud » Mon Oct 24, 2011 4:44 pm

Gentoo and Funtoo users can use my overlay to get the latest versions of PMS (using overlay og layman):
git://github.com/andersevenrud/anderse-overlay.git
andersevenrud
 
Posts: 1
Joined: Mon Oct 24, 2011 4:41 pm

Re: Linux Users - Read This !

Postby MiD-AwE » Mon Mar 19, 2012 1:21 am

UBUNTU 11.10 USERS - https://help.ubuntu.com/community/Ps3MediaServer

viewtopic.php?f=3&t=13046#p62621

I can vouch for the AMD64 version. However, I did have vlc and everything else already before I visited the above link. :D
MiD-AwE
 
Posts: 1
Joined: Mon Mar 19, 2012 1:15 am

Previous

Return to Linux/Unix Support

Who is online

Users browsing this forum: Yahoo [Bot] and 6 guests